Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001814SpeedFanOtherpublic2011-05-19 23:522011-07-03 09:53
ReporterAmigaSurfer 
Assigned Toalfredo 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformAMD Phenom II X6 1090TOSWindowsOS Version7 Ultimate 64bit
Product Version4.43 
Target VersionFixed in Version4.44 beta 
Summary0001814: Speedfan 4.43 freeze the harddrive-controller at startup
DescriptionSpeedfan 4.43 seems to freeze the harddrive-controller at startup. After confirming the UAC requester the fan icon appears at the info bar. But then the harddrive-LED permanently lights up and all actions the requires hardrive access are no more working. E.g. opening Speedfan, pressing Ctrl-Alt-Delete, opening Windows Explorer or restarting the PC are not working, then. The reset button at the PC is only way to restart the PC.
With Speedfan 4.42 I don't have this bug.
Steps To ReproduceUpdating Speedfan from 4.42 to 4.43.
Starting Speedfan 4.43.
Harddrive-controller seems to crash. Harddrive-LED permanently on.

Additional Information    Computer:
      Computertyp ACPI x64-based PC
      Betriebssystem Microsoft Windows 7 Ultimate
      OS Service Pack Service Pack 1
      Internet Explorer 9.0.8112.16421
      DirectX DirectX 11.0

    Motherboard:
      CPU Typ HexaCore AMD Phenom II X6 Black Edition 1090T, 3227 MHz (16 x 202)
      Motherboard Name ASRock 870 Extreme3 (2 PCI, 2 PCI-E x1, 2 PCI-E x16, 4 DDR3 DIMM, Audio, Gigabit LAN, IEEE-1394)
      Motherboard Chipsatz AMD 870, AMD K10
      Arbeitsspeicher 8192 MB (DDR3-1333 DDR3 SDRAM)
      BIOS Typ AMI (09/14/10)
      Anschl├╝sse (COM und LPT) Kommunikationsanschluss (COM1)

    Anzeige:
      Grafikkarte ATI Radeon HD 5800 Series (1024 MB)
      Grafikkarte ATI Radeon HD 5800 Series (1024 MB)
      Grafikkarte ATI Radeon HD 5800 Series (1024 MB)
      3D-Beschleuniger ATI Radeon HD 5870 (Cypress)

    Multimedia:
      Soundkarte ATI Radeon HDMI @ ATI Cypress/Hemlock - High Definition Audio Controller
      Soundkarte Creative SB X-Fi Audio Controller

    Datentr├Ąger:
      IDE Controller AMD SATA Controller
      Massenspeicher Controller Adaptec AHA-2940AU PCI SCSI Controller (Emulated)
      Festplatte External Disk 0 SATA Disk Device (931 GB)
      Festplatte Generic Flash HS-CF USB Device
      Festplatte Generic Flash HS-MS USB Device
      Festplatte Generic Flash HS-SD/MMC USB Device
      Festplatte Generic Flash HS-SM USB Device
      Festplatte INTEL SS DSA2M160G2GC SATA Disk Device (160 GB, SATA-II)
      Festplatte WD My Book IEEE 1394 SBP2 Device (931 GB)
      Festplatte WDC WD20 02FYPS-02W3B0 SATA Disk Device (1863 GB)
      Optisches Laufwerk ATAPI iHAS624 B SATA CdRom Device
      Optisches Laufwerk CD-ROM-Laufwerk
      S.M.A.R.T. Festplatten-Status OK
TagsNo tags attached.
Motherboard ModelASRock 870 Extreme3
Video Card ModelRadeon HD5870
Attached Files? file icon debug.nfo [^] (56,944 bytes) 2011-07-03 00:25

- Relationships

-  Notes
(0006238)
alfredo (manager)
2011-06-16 10:30

SpeedFan 4.44 should fix this issue. If not, uninstall SpeedFan, remove any CFG file that might have survived in its directory and reinstall the latest beta. The issue should be gone.
(0006290)
alfredo (manager)
2011-06-28 12:38

Is the issue gone with the latest beta on your system?
(0006299)
alfredo (manager)
2011-06-30 19:25

I assume it is gone. It should.
(0006302)
AmigaSurfer (reporter)
2011-07-03 00:24

Sorry for the late answer. Your message from 16.06.2011 didn't arrived me.
Installing Speedfan 4.44 beta 6 over 4.42 the harddrive-LED still permanently lights up. I gone away several minutes. Then the harddrive-LED was still on, but I could work with the system normal. But Speedfan still shows the fan-icon in the system tray and isn't responding. I shot it up with the task manager. This takes very long time. The harddrive-LED was then off, working normal. I will try to attach the debug.nfo file.

Then I unistalled Speedfan. Removed the Speedfan directory. Reinstalled 4.44 beta 6. Now the bug is gone.
(0006304)
alfredo (manager)
2011-07-03 09:53

Thank you for the update. I will change the name of a configuration option stored inside a file to avoid the need for complete uninstall.

- Issue History
Date Modified Username Field Change
2011-05-19 23:52 AmigaSurfer New Issue
2011-05-19 23:52 AmigaSurfer Status new => assigned
2011-05-19 23:52 AmigaSurfer Assigned To => alfredo
2011-06-16 10:30 alfredo Note Added: 0006238
2011-06-16 10:30 alfredo Status assigned => acknowledged
2011-06-28 12:38 alfredo Note Added: 0006290
2011-06-30 19:25 alfredo Note Added: 0006299
2011-06-30 19:25 alfredo Status acknowledged => resolved
2011-06-30 19:25 alfredo Resolution open => fixed
2011-06-30 19:25 alfredo Fixed in Version => 4.44 beta
2011-07-03 00:24 AmigaSurfer Note Added: 0006302
2011-07-03 00:24 AmigaSurfer Status resolved => feedback
2011-07-03 00:24 AmigaSurfer Resolution fixed => reopened
2011-07-03 00:25 AmigaSurfer File Added: debug.nfo
2011-07-03 09:53 alfredo Note Added: 0006304
2011-07-03 09:53 alfredo Status feedback => resolved
2011-07-03 09:53 alfredo Resolution reopened => fixed


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3228 seconds.
memory usage: 8,101 KB
Powered by Mantis Bugtracker